// Copyright 2004, FreeHEP.
package hep.wired.edit;

import hep.wired.services.RecordPlot;

import javax.swing.undo.UndoableEdit;

/**
 * No Operation Edit, useful to fill a compound edit.
 * 
 * @author Mark Donszelmann
 * @version $Id: NoOperation.java 8598 2006-08-14 20:38:02Z duns $
 */
public class NoOperation extends WiredEdit {

//    private static Logger logger = Logger.getLogger(NoOperation.class
//            .getPackage().getName());

    /**
     * Creates a dummy operation, which can be used as placeholder.
     */
    public NoOperation() {
        super();
    }

    public WiredEdit copy(RecordPlot plot) {
        WiredEdit copy = new NoOperation();
        copy.setRecordPlot(plot);
        return copy;
    }

    public String getPresentationName() {
        return "No Operation";
    }

    public boolean addEdit(UndoableEdit edit) {
        return (edit instanceof NoOperation);
    }

    public void redoEdit() {
    }

    public void undoEdit() {
    }

}
