// Copyright 2004, FreeHEP.
package hep.wired.feature;

import hep.wired.services.Feature;

/**
 * Can be reset to its initial state.
 * 
 * @author Mark Donszelmann
 * @version $Id: Resetable.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Resetable extends Feature {

    /**
     * Resets graphics panel to a new state or its initial state.
     * 
     * @param newState new state, if null, use initial state of graphics panel.
     * @return old state just before setting the new state
     */
    public Object reset(Object newState);
}
