// Copyright 2004, FreeHEP.
package hep.wired.util;

import java.awt.AWTEvent;
import java.awt.Component;
import java.awt.event.MouseEvent;

/**
 * NullEvent which can be sent as substitute for KeyEvent or MouseEvent. We
 * would have inherited from InputEvent, but there is not public/protected
 * constructor available to do so. So, we inherit from MouseEvent, and set the
 * ID to outside the reserved AWT numbers.
 * 
 * @author Mark Donszelmann
 * @version $Id: NullEvent.java 8598 2006-08-14 20:38:02Z duns $
 */
public class NullEvent extends MouseEvent {

    /**
     * Creates a null event with given component.
     */
    public NullEvent(Component source) {
        super(source, AWTEvent.RESERVED_ID_MAX + 100, System
                .currentTimeMillis(), 0, 0, 0, 0, false);
    }

    public String toString() {
        return "NullEvent: id=" + getID();
    }
}
