// Copyright 2004, FreeHEP.
package hep.wired.util;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.SwingUtilities;

import org.freehep.application.Application;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: OptionButton.java 8598 2006-08-14 20:38:02Z duns $
 */
public class OptionButton extends JButton implements ActionListener {

    private String title;

    private Container content;

    private Component component;

    private JDialog dialog;

    public OptionButton(String label, String title, Container content,
            Component component) {
        super(label);
        this.title = title;
        this.content = content;
        this.component = component;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent event) {
        if (dialog == null) {
            Component root = (Component) SwingUtilities.getRoot(component);
            dialog = (root instanceof Frame) ? new JDialog((Frame) root, title)
                    : new JDialog((Dialog) root, title);
            dialog.setContentPane(content);
            dialog.setLocationRelativeTo(root);
        }
        if (dialog.isVisible()) {
            dialog.toFront();
        } else {
            Application application = Application.getApplication();
            application.showDialog(dialog, content.getName());
        }
    }
}
