// Copyright 2004-2005, FreeHEP.
package hep.wired.variable;

import hep.wired.util.slider.BoundedDoubleRangeModel;
import hep.wired.util.slider.DefaultBoundedDoubleRangeModel;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: DoubleVariableSliderModel.java 8598 2006-08-14 20:38:02Z duns $
 */
public class DoubleVariableSliderModel extends VariableSliderModel implements BoundedDoubleRangeModel {
    
    public DoubleVariableSliderModel() {
       this(null);
    }

    public DoubleVariableSliderModel(DoubleVariable variable) {
        super(variable);
    }

    public double getValue() {
        return variable != null ? ((DoubleVariable)variable).getDoubleVariable() : 0;
    }

    public double getMinimum() {
        return variable != null ? ((DoubleVariable)variable).getMinimum() : 0;
    }
    
    public double getMaximum() {
        return variable != null ? ((DoubleVariable)variable).getMaximum() : 100;
    }
    
    public double getDefaultValue() {
        return variable != null ? ((DoubleVariable)variable).getDefault() : 0;
    }
    
    public void setValue(double value) {
        if (variable != null) ((DoubleVariable)variable).setVariable(value);
    }

    public void setRangeProperties(double newValue, double newExtent, 
                                   double newMin, double newMax, 
                                   double newDef, boolean newAdjusting) {
        boolean fire = DefaultBoundedDoubleRangeModel.rangePropertiesChanged(this, 
                            newValue, newExtent, newMin, newMax, newDef, newAdjusting);
        
        if (fire) {
            setValue(newValue);
            fireStateChanged();
        }
    }
    
    public void setMinimum(double minimum) {
        // ignored
    }

    public void setMaximum(double maximum) {
        // ignored
    }

    public double getExtent() {
        // ignored
        return 0;
    }

    public void setExtent(double extent) {
        // ignored
    }

    public void setDefaultValue(double def) {
        // ignored
    }

    public Number getNumber() {
        return new Double(getValue());
    }

    public Number getDefaultNumber() {
        return new Double(getDefaultValue());
    }

    public void resetValue() {
        setValue(getDefaultValue());
    }

    public void setValue(String number) throws NumberFormatException {
        setValue(Double.parseDouble(number));
    }
}
