// Copyright 2005, FreeHEP.
package hep.wired.variable;

import javax.swing.event.ChangeEvent;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: VariableChangeEvent.java 8598 2006-08-14 20:38:02Z duns $
 */

public class VariableChangeEvent extends ChangeEvent {
    // NOTE MASK values
    public static final int VALUE = 0x01;

    public static final int MIN = 0x02;

    public static final int MAX = 0x04;

    public static final int STATE = 0x08;

    private int type;

    public VariableChangeEvent(Object source, int type) {
        super(source);
        this.type = type;
    }

    public int getType() {
        return type;
    }

    public boolean isValue() {
        return (type & VALUE) != 0;
    }

    public boolean isMinimum() {
        return (type & MIN) != 0;
    }

    public boolean isMaximum() {
        return (type & MAX) != 0;
    }

    public boolean isState() {
        return (type & STATE) != 0;
    }
}
